# MoveAnimPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class MoveAnimPhase<Anim>

Plays the given `MoveAnim` sequentially.

#### Type Parameters

- Anim extends MoveAnim

#### Hierarchy (View Summary)

- Phase
  - MoveAnimPhase

- Defined in src/phases/move-anim-phase.ts:7

##### Index

### Constructors

constructor

### Properties

anim
onSubstitute

### Methods

end
start

## Constructors

### constructor

- new MoveAnimPhase< Anim extends MoveAnim >(
  anim: Anim ,
  onSubstitute?: boolean,
  ): MoveAnimPhase < Anim >

  #### Type Parameters

  - Anim extends MoveAnim

  #### Parameters

  - anim: Anim
  - onSubstitute: boolean = false

  #### Returns MoveAnimPhase < Anim >

  Overrides Phase.constructor

  - Defined in src/phases/move-anim-phase.ts:8

## Properties

### `Protected` anim

anim: Anim

- Defined in src/phases/move-anim-phase.ts:9

### `Protected` onSubstitute

onSubstitute: boolean = false

- Defined in src/phases/move-anim-phase.ts:10

## Methods

### end

- end(): void

  #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:6

### start

- start(): void

  #### Returns void

  Overrides Phase.start

  - Defined in src/phases/move-anim-phase.ts:15